[build-system]
requires = ["setuptools", "setuptools-scm"]
build-backend = "setuptools.build_meta"

[project]
name = "atckit"
version = "2.0.0"
authors = [
  { name="AccidentallyTheCable", email="cableninja@cableninja.net" },
]
description = "AccidentallyTheCables Utility Kit"
readme = "README.md"
requires-python = ">=3.9"
license = { text = "GPLv3" }

classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
    "Operating System :: OS Independent",
    "Topic :: Utilities"
]
dynamic = ["dependencies"]

[tool.setuptools]
include-package-data = true

[tool.setuptools.packages.find]
where = ["src"]

[tool.setuptools.package-data]
atckit = ["**/*.md", "**/*.spec"]

[tool.setuptools.dynamic]
dependencies = {file = ["requirements.txt"]}

[project.urls]
"Homepage" = "https://gitlab.com/accidentallythecable-public/python-modules/python-atckit/"
"Bug Tracker" = "https://gitlab.com/accidentallythecable-public/python-modules/python-atckit/issues"
